Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.vocab
Class HLISTING

    java.lang.Object
      org.apache.any23.vocab.Vocabulary
          org.apache.any23.vocab.HLISTING

    public class HLISTING

extends Vocabulary

Class modeling the hListing vocabulary.

Author:
  Davide Palmisano (dpalmisano@gmail.com)

Field Summary
`org.openrdf.model.URI` | `action`
`org.openrdf.model.URI` | `announce`
`org.openrdf.model.URI` | `countryName`
`org.openrdf.model.URI` | `description`
`org.openrdf.model.URI` | `dtexpired`
`org.openrdf.model.URI` | `dtlisted`
`org.openrdf.model.URI` | `event`
`org.openrdf.model.URI` | `extendedAddress`
`org.openrdf.model.URI` | `item`
`org.openrdf.model.URI` | `Item`
`org.openrdf.model.URI` | `itemName`
`org.openrdf.model.URI` | `itemPhoto`
`org.openrdf.model.URI` | `itemUrl`
`org.openrdf.model.URI` | `lister`
`org.openrdf.model.URI` | `Lister`
`org.openrdf.model.URI` | `listerLogo`
`org.openrdf.model.URI` | `listerName`
`org.openrdf.model.URI` | `listerOrg`
`org.openrdf.model.URI` | `listerUrl`
`org.openrdf.model.URI` | `Listing`
`org.openrdf.model.URI` | `locality`
`org.openrdf.model.URI` | `meet`
`static String` | `NS`
`org.openrdf.model.URI` | `offer`
`org.openrdf.model.URI` | `permalink`
`org.openrdf.model.URI` | `postalCode`
`org.openrdf.model.URI` | `postOfficeBox`
`org.openrdf.model.URI` | `price`
`org.openrdf.model.URI` | `region`
`org.openrdf.model.URI` | `rent`
`org.openrdf.model.URI` | `sell`
`org.openrdf.model.URI` | `service`
`org.openrdf.model.URI` | `streetAddress`
`org.openrdf.model.URI` | `summary`
`org.openrdf.model.URI` | `tel`
`org.openrdf.model.URI` | `trade`
`org.openrdf.model.URI` | `wanted`

Method Summary
`static HLISTING` | `getInstance()`

Methods inherited from class org.apache.any23.vocab.Vocabulary
`createClass, createProperty, createURI, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

See Also:
  Constant Field Values

### Listing

    public final org.openrdf.model.URI Listing

### Lister

    public final org.openrdf.model.URI Lister

### Item

    public final org.openrdf.model.URI Item

### action

    public final org.openrdf.model.URI action

### lister

    public final org.openrdf.model.URI lister

### item

    public final org.openrdf.model.URI item

### sell

    public final org.openrdf.model.URI sell

### rent

    public final org.openrdf.model.URI rent

### trade

    public final org.openrdf.model.URI trade

### meet

    public final org.openrdf.model.URI meet

### announce

    public final org.openrdf.model.URI announce

### offer

    public final org.openrdf.model.URI offer

### wanted

    public final org.openrdf.model.URI wanted

### event

    public final org.openrdf.model.URI event

### service

    public final org.openrdf.model.URI service

### tel

    public final org.openrdf.model.URI tel

### dtlisted

    public final org.openrdf.model.URI dtlisted

### dtexpired

    public final org.openrdf.model.URI dtexpired

### price

    public final org.openrdf.model.URI price

### description

    public final org.openrdf.model.URI description

### summary

    public final org.openrdf.model.URI summary

### permalink

    public final org.openrdf.model.URI permalink

### region

    public final org.openrdf.model.URI region

### postOfficeBox

    public final org.openrdf.model.URI postOfficeBox

### locality

    public final org.openrdf.model.URI locality

### extendedAddress

    public final org.openrdf.model.URI extendedAddress

### streetAddress

    public final org.openrdf.model.URI streetAddress

### postalCode

    public final org.openrdf.model.URI postalCode

### countryName

    public final org.openrdf.model.URI countryName

### listerUrl

    public final org.openrdf.model.URI listerUrl

### listerName

    public final org.openrdf.model.URI listerName

### itemName

    public final org.openrdf.model.URI itemName

### itemUrl

    public final org.openrdf.model.URI itemUrl

### itemPhoto

    public final org.openrdf.model.URI itemPhoto

### listerOrg

    public final org.openrdf.model.URI listerOrg

### listerLogo

    public final org.openrdf.model.URI listerLogo

Method Detail

### getInstance

    public static HLISTING getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.